Bug 1716886 - Review Request: nordugrid-arc6 - Advanced Resource Connector Middleware (version 6 for EPEL 7)
Summary: Review Request: nordugrid-arc6 - Advanced Resource Connector Middleware (vers...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-04 10:59 UTC by Mattias Ellert
Modified: 2019-07-14 02:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-14 02:30:16 UTC
andrea.manzi: fedora-review+


Attachments (Terms of Use)

Description Mattias Ellert 2019-06-04 10:59:36 UTC
Spec URL: http://www.grid.tsl.uu.se/review/nordugrid-arc6.spec
SRPM URL: http://www.grid.tsl.uu.se/review/nordugrid-arc6-6.0.0-1.el7.src.rpm

Description: Advanced Resource Connector Middleware

NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The ARC middleware is a software solution that uses distributed
computing technologies to enable sharing and federation of computing
resources across different administrative and application domains. ARC
is used to create distributed infrastructures of various scope and
complexity, from campus to national and global deployments.

Fedora Account System Username: ellert

Note:
The nordugrid-arc package in Fedora Rawhide was updated to version 6.
This new EPEL 7 only package provides the new version for EPEL 7.

Comment 1 Andrea 2019-06-12 21:46:35 UTC
Hi Mattias, 
maybe you have already done it by yourself, but i'm running the fedora-review tool and i will post the result when done.
cheers
Andrea

Comment 2 Andrea 2019-06-14 07:49:30 UTC
i have uploaded the report at
https://cernbox.cern.ch/index.php/s/sxWWXjaqRE3W7SC

i will need to manual review it, but maybe you can already see some possible issues there

Comment 3 Andrea 2019-06-25 11:47:04 UTC
just few errors from rpmlint

https://fedoraproject.org/wiki/Common_Rpmlint_issues#incoherent-logrotate-file

for:

nordugrid-arc6-arex.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/nordugrid-arc-arex
nordugrid-arc6-infosys-ldap.noarch: E: incoherent-logrotate-file /etc/logrotate.d/nordugrid-arc-infosys-ldap
nordugrid-arc6-datadelivery-service.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/nordugrid-arc-datadelivery-service
nordugrid-arc6-gridftpd.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/nordugrid-arc-gridftpd


and zero-length files

https://fedoraproject.org/wiki/Common_Rpmlint_issues#zero-length

for

nordugrid-arc6.x86_64: E: zero-length /usr/lib64/arc/libmodcredential.apd
nordugrid-arc6.x86_64: E: zero-length /usr/lib64/arc/libmodcrypto.apd

Comment 4 Mattias Ellert 2019-06-28 09:06:50 UTC
Thank you for reviewing this.

Regarding the incoherent-logrotate-file remarks:
As stated in the initial review request, this is a new version of an existing package where the packages from this package conflicts with the packages from the old version. This package was created with minimal changes w.r.t. the original package, and the names of the logrotate files (that were based on the old package names) were not changed. Since no other filenames were changed, it seems inconsistent to change the names of logrotate files.

Regarding the zero-length remarks:
This are not errors. All the loadable modules have an .apd file listing what loadable functionality they provide. These 2 are a bit special in that they are explicitly loaded when needed by other modules and therefore the functionality does not need to be listed.

Comment 5 Andrea 2019-06-28 09:25:11 UTC
ok thanks for the clarification, i have marked the fedora-review flag to +, so everything is fine from my side.

Comment 6 Gwyn Ciesla 2019-06-28 13:31:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nordugrid-arc6

Comment 7 Fedora Update System 2019-06-28 21:27:30 UTC
FEDORA-EPEL-2019-37f83b7716 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-37f83b7716

Comment 8 Fedora Update System 2019-06-29 00:07:05 UTC
nordugrid-arc6-6.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-37f83b7716

Comment 9 Fedora Update System 2019-07-14 02:30:16 UTC
nordugrid-arc6-6.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.